$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.24-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.24-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'EBD4AAD916897CB3E37E0FCDC470436853AB0A39F7EAA3062EC0C3485D7B8059'
  checksumType = 'sha256'
  checksum64 = 'EBD4AAD916897CB3E37E0FCDC470436853AB0A39F7EAA3062EC0C3485D7B8059'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.31.24-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
